Skip to main content
DELETE
/
clientQuery
/
{clientQueryId}
Cancel a query as identified by the clientQueryId
curl --request DELETE \
  --url https://dev.startree.ai/clientQuery/{clientQueryId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://dev.startree.ai/clientQuery/{clientQueryId}"

headers = {"Authorization": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};

fetch('https://dev.startree.ai/clientQuery/{clientQueryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
This response has no body data.
This response has no body data.

Authorizations

Authorization
string
header
required

The format of the key is "Basic <token>" or "Bearer <token>"

Path Parameters

clientQueryId
string
required

ClientQueryId provided by the client

Query Parameters

timeoutMs
integer<int32>
default:3000

Timeout for servers to respond the cancel request

verbose
boolean
default:false

Return verbose responses for troubleshooting

Response